@import 'src/variables';

header {
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 40px;
  background: $primaryGreyColor;
  color: $thirdGreyColor;
  .button-container {
    display: flex;
    align-items: center;
    gap: 12px;
    .user-img_container {
      margin: 0 12px 0 0;
      cursor: pointer;
      width: 40px;
      height: 40px;
      .user-img {
        width: 100%;
        height: 100%;
        border-radius: 50%;
      }
    }
    .btn-google {
      display: flex;
      flex-direction: row-reverse;
      align-items: center;
      gap: 8px;
      margin: 0;
      font-family: $secondaryFont;
      font-weight: 500;
      color: $thirdGreyColor;
      border-bottom: 1px solid $thirdGreyColor;
      cursor: pointer;
      &:hover {
        color: $translucentRedColor;
      }
      &:hover .google-img {
        transform: rotateY(360deg);
      }
      .google-img {
        width: 28px;
        height: 28px;
        transition: transform 0.8s cubic-bezier(0.5, 0, 0.5, 1);
      }
    }

    .logout-icon {
      font-size: 2rem;
      cursor: pointer;
      &:hover {
        color: darken($primaryRedColor, 12%);
      }
    }
  }
}
